Skip to content
Start here

Create new saved string queries

brand_protection.queries.create(QueryCreateParams**kwargs)
POST/accounts/{account_id}/brand-protection/queries

Return a success message after creating new saved string queries

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Intel Write
ParametersExpand Collapse
account_id: str
minLength1
id: Optional[str]
scan: Optional[bool]
tag: Optional[str]
max_time: Optional[Union[str, datetime, null]]
formatdate-time
min_time: Optional[Union[str, datetime, null]]
formatdate-time
scan: Optional[bool]
string_matches: Optional[object]
tag: Optional[str]

Create new saved string queries

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
client.brand_protection.queries.create(
    account_id="x",
)
Returns Examples